Use this API to create offers with Cashfree from your backend.
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Request body to create an offer at Cashfree.
create offer backend request object.
Offer meta details object.
{
"offer_title": "some title",
"offer_description": "some offer description",
"offer_code": "CFTESTOFFER",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_end_time": "2023-03-29T08:09:51Z",
"$ref": "#/components/schemas/OfferMeta/example"
}Offer terms and condition object.
{
"offer_tnc_type": "text",
"offer_tnc_value": "TnC for the Offer.",
"$ref": "#/components/schemas/OfferTnc/example"
}Offer details and type.
{
"offer_type": "DISCOUNT_AND_CASHBACK",
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "20",
"max_cashback_amount": "150"
},
"$ref": "#/components/schemas/OfferDetails/example"
}Offer validation object.
{
"min_amount": 10,
"payment_method": { "wallet": { "issuer": "paytm" } },
"max_allowed": 2,
"$ref": "#/components/schemas/OfferValidations/example"
}OK
Offer entity object.
"d2b430fb-1afe-455a-af31-66d00377b29a"
"active"
Offer meta response details object.
{
"offer_code": "CFTESTOFFER",
"offer_description": "some offer description",
"offer_end_time": "2023-03-29T08:09:51Z",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_title": "some title",
"$ref": "#/components/schemas/OfferMetaResponse/example"
}Offer terms and condition object.
{
"offer_tnc_type": "text",
"offer_tnc_value": "TnC for the Offer.",
"$ref": "#/components/schemas/OfferTncResponse/example"
}Offer details response and type.
{
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "20",
"max_cashback_amount": "150"
},
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"offer_type": "DISCOUNT_AND_CASHBACK",
"$ref": "#/components/schemas/OfferDetailsResponse/example"
}Offer validation object.
{
"max_allowed": 2,
"min_amount": 10,
"payment_method": { "wallet": { "issuer": "paytm" } },
"$ref": "#/components/schemas/OfferValidationsResponse/example"
}